<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 6.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div <?php post_class( 'col-lg-4 col-xs-6' ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
	
	<a href="<?php the_permalink(); ?>">

		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>	
	</a>
	<div class="product-inner col-item">
		<?php $terms = get_the_terms( $post->ID, 'product_cat' ); ?>
		<div class="cat_row">
			<?php if($terms) { ?>   
				<?php foreach ( $terms as $term ) { ?>
				  <a href="<?php echo esc_url(get_term_link($term, 'product-cat')); ?>"><?php echo esc_html($term->name); ?></a> 
			 <?php } } ?>
			<?php $s_date = get_post_meta(get_the_ID(),'_cmb_sd_course', true); if($s_date) $s_date = date(get_option( 'date_format' ), strtotime($s_date));?>
			<span class="pull-right"><?php echo $s_date; ?></span>
		</div>
		<div class="info">
			<a href="<?php the_permalink(); ?>">		
				<?php
						/**
						 * woocommerce_shop_loop_item_title hook
						 *
						 * @hooked woocommerce_template_loop_product_title - 10
						 */
						do_action( 'woocommerce_shop_loop_item_title' );
				?>
			</a>
			<?php echo apply_filters( 'woocommerce_short_description', $post->post_excerpt ) ?>
			<div class="after-title">
				<?php 		

					/**
					 * woocommerce_after_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_template_loop_rating - 5
					 * @hooked woocommerce_template_loop_price - 10
					 */
					do_action( 'woocommerce_after_shop_loop_item_title' );
				?>
			</div>
			<div class="separator clearfix">
				<p class="btn-add">
				  <button type="submit"
					  data-quantity="1" data-product_id="<?php echo $product->id; ?>"
					  class="alt ajax_add_to_cart add_to_cart_button product_type_simple"><i class="icon-cart"></i>
					  <?php echo esc_html( $product->add_to_cart_text() ) ?>
				  </button>
				</p>
				<span class="line-center"></span>
				<p class="btn-details"><a href="<?php the_permalink(); ?>"><i class="icon-list"></i> <?php esc_html_e('Details','learn'); ?></a></p>
			</div>

		</div>
	</div>
</div>
